Bug 476523 - Review Request: python-zope-proxy - Generic Transparent Proxies
Review Request: python-zope-proxy - Generic Transparent Proxies
Status: CLOSED DUPLICATE of bug 629014
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chen Lei
Fedora Extras Quality Assurance
:
Depends On: 476524
Blocks: 476600
  Show dependency treegraph
 
Reported: 2008-12-15 07:47 EST by Conrad Meyer
Modified: 2010-09-03 04:32 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-31 12:57:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Conrad Meyer 2008-12-15 07:47:40 EST
Spec URL: http://konradm.fedorapeople.org/fedora/SPECS/python-zope-proxy.spec
SRPM URL: http://konradm.fedorapeople.org/fedora/SRPMS/python-zope-proxy-3.4.2-1.fc9.src.rpm
Description:
Proxies are special objects which serve as mostly-transparent wrappers
around another object, intervening in the apparent behavior of the
wrapped object only when necessary to apply the policy (e.g., access
checking, location brokering, etc.) for which the proxy is responsible.
Comment 1 Jason Tibbitts 2009-06-27 03:28:54 EDT
This fails to build for me:

+ /usr/bin/python setup.py build
Traceback (most recent call last):
  File "setup.py", line 19, in <module>
    from setuptools import setup, Extension
ImportError: No module named setuptools

Also, 3.5.0 was out well before this review was submitted.  If an old version is being submitted intentionally, please make a note of it in the spec.
Comment 2 Conrad Meyer 2009-07-05 16:15:14 EDT
It is not intentional; I'll update to the latest. As I've mentioned in other reviews, I didn't notice I wasn't fetching mail from this account for the past month or so :(. Sorry for all the delay.
Comment 4 Fabian Affolter 2009-07-09 14:18:04 EDT
There are some rpmlint warnings:

[fab@laptop09 i586]$ rpmlint python-zope-proxy*
python-zope-proxy.i586: W: devel-file-in-non-devel-package /usr/lib/python2.6/site-packages/zope/proxy/_zope_proxy_proxy.c
python-zope-proxy.i586: W: devel-file-in-non-devel-package /usr/include/python2.6/zope.proxy/proxy.h
python-zope-proxy.i586: W: devel-file-in-non-devel-package /usr/lib/python2.6/site-packages/zope/proxy/proxy.h
2 packages and 0 specfiles checked; 0 errors, 3 warnings.
Comment 5 Thomas Spura 2009-12-28 22:22:54 EST
- Use %global and not %define.


Any progress on this?
(Wanting to shoot down the Sage packages...)
Comment 6 Conrad Meyer 2009-12-30 15:39:35 EST
New spec, srpm:
http://konradm.fedorapeople.org/fedora/SPECS/python-zope-proxy.spec
http://konradm.fedorapeople.org/fedora/SRPMS/python-zope-proxy-3.5.0-2.fc11.src.rpm

Changes:
Fixed: s/%define/%global/.
Moved the .c and .h files to a separate -devel subpackage; I'm not sure if this is the right approach, or if we should just delete them. Thoughts?
Comment 7 Thomas Spura 2010-01-29 08:05:37 EST
I usualy include *.c and *.h in the main package, if they are below %{python_sitelib/arch}, because it's likely, that the main package requires this at runtime.

If other packages could/should build against these *.c and *.h, it would be better to place them in %{_includedir} at upstream directly. Because they didn't to that, I assume, that it's just needed internally.


Could you test, if the package also works without the installed *.c and *.h?
Comment 8 Conrad Meyer 2010-02-15 06:06:38 EST
The tests pass and it seems to not cause any problems when imported in python's interactive mode. Without *.c and *.h files:

http://konradm.fedorapeople.org/fedora/SPECS/python-zope-proxy.spec
http://konradm.fedorapeople.org/fedora/SRPMS/python-zope-proxy-3.5.0-3.fc11.src.rpm
Comment 9 Fabian Affolter 2010-04-08 09:19:00 EDT
Sorry I missed the latest comment.  I will try to finish the review soon.
Comment 10 Thomas Spura 2010-06-06 11:34:59 EDT
(In reply to comment #9)
> Sorry I missed the latest comment.  I will try to finish the review soon.    

@Fabian:
Any progress here?

If you don't want to continue this one, I can take it :)

@Conrad:
A new version from upstream with some changes e.g. different source (now a zip file etc)
Comment 12 Robin Lee 2010-06-16 12:54:48 EDT
The spec file is well-structured. Few notes:

* According to upstream setup.py, this package should require python-zope-interface.

* The two sed commands are not necessary since the files are with proper EOL.

* The -devel package should require python-devel, or more accurately python2-devel. And it should be marked noarch.
Comment 13 Robin Lee 2010-08-31 01:03:06 EDT
I now take over this review request.

Spec URL: http://cheeselee.fedorapeople.org/python-zope-proxy.spec
SRPM URL: http://cheeselee.fedorapeople.org/python-zope-proxy-3.6.1-1.fc13.src.rpm

Changes:
- Update to 3.6.1
- Requirement: python-zope-filesystem removed, python-zope-interface added
- Spec cleaned up
- -devel subpackage set to noarch, added python2-devel as requirement
- Include the license

rpmlint results:
$ rpmlint ./python-zope-event.spec 
./python-zope-event.spec: W: no-cleaning-of-buildroot %clean
./python-zope-event.spec: W: no-buildroot-tag
./python-zope-event.spec: W: no-%clean-section
0 packages and 1 specfiles checked; 0 errors, 3 warnings.

$ rpmlint ./python-zope-proxy-3.6.1-1.fc13.src.rpm 
python-zope-proxy.src: W: no-cleaning-of-buildroot %clean
python-zope-proxy.src: W: no-buildroot-tag
python-zope-proxy.src: W: no-%clean-section
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

$ rpmlint ./python-zope-proxy-3.6.1-1.fc13.i686.rpm 
python-zope-proxy.i686: W: private-shared-object-provides /usr/lib/python2.6/site-packages/zope/proxy/_zope_proxy_proxy.so _zope_proxy_proxy.so
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint ./python-zope-proxy-devel-3.6.1-1.fc13.noarch.rpm 
python-zope-proxy-devel.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint ./python-zope-proxy-debuginfo-3.6.1-1.fc13.i686.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 14 Chen Lei 2010-08-31 07:46:44 EDT
1. 
BuildRequires:  python-devel
Requires:       python2-devel

Choose either python2-devel or python-devel

2.

Group:          Development/Languages
->
Group:          Development/Libraries

3.

%check
%{__python} setup.py test

I suggest to remove %check section and BuildRequires:  python-zope-testing from all zope packages, circuitous dependencies is unacceptable for zope modules. Things will become very complicated if we want to update zope version for stable fedora releases.
Comment 15 Robin Lee 2010-08-31 11:58:00 EDT
3.6.1-2

Spec URL: http://cheeselee.fedorapeople.org/python-zope-proxy.spec
SRPM URL:
http://cheeselee.fedorapeople.org/python-zope-proxy-3.6.1-2.fc13.src.rpm

Changes:
- Remove %%check section
- Group changed from Development/Languages to Development/Libraries
- BR: python-devel renamed to python2-devel, python-zope-testing removed
Comment 16 Thomas Spura 2010-08-31 12:15:43 EDT
(In reply to comment #13)
> I now take over this review request.

Please open your own review request and close this one as a dublicate of the new one.

See: http://www.fedora.redhat.com/wiki/Policy_for_stalled_package_reviews

(You are resubmitting this package...)

Thanks
Comment 17 Robin Lee 2010-08-31 12:36:05 EDT
(In reply to comment #16)
> (In reply to comment #13)
> > I now take over this review request.
> 
> Please open your own review request and close this one as a dublicate of the
> new one.
> 
> See: http://www.fedora.redhat.com/wiki/Policy_for_stalled_package_reviews
> 
> (You are resubmitting this package...)
> 
> Thanks

Thanks for your instruction!
Comment 18 Robin Lee 2010-08-31 12:57:44 EDT

*** This bug has been marked as a duplicate of bug 629014 ***

Note You need to log in before you can comment on or make changes to this bug.